Subject: [Sip] day in Date header - two different definitions in RFC 3261

From: Jay Morris <[email-masked]>
Date: Sun, 6 Apr 2003 01:26:25 -0800 (PST)

Hi

in RFC 3261 I found two different definitions for DATE header, and I don't know which one is the correct one:

In chapter 25.1 - the DATE header must have the wkday parameter. (e.g. Date: Sat, 13 Nov 2010 23:29:00 GMT)

In chapter 20.17, however, I found that "Unlike HTTP/1.1,   SIP only supports the most recent RFC 1123 [20] format for dates."

well, according to this definition, the wkday parameter is optional.

(e.g. Date: 13 Nov 2010 23:29:00 GMT)

[RFC1123]

5.2.14 RFC-822 Date and Time Specification: RFC-822 Section 5

[RFC822]

5. DATE AND TIME SPECIFICATION

5.1. SYNTAX

date-time = [ day "," ] date time ; dd mm yy; hh:mm:ss zzz

well, which definition is the correct one?

Jay

---------------------------------
Do you Yahoo!?
Yahoo! Tax Center - File online, calculators, forms, and more

---

From: Jonathan Rosenberg <[email-masked]>
Date: Tue, 15 Apr 2003 01:05:34 -0400

> Date: Sat, 13 Nov 2010 23:29:00 GMT)

The BNF is authoritative, so this is correct.

> 
> In chapter 20.17, however, I found that "Unlike HTTP/1.1,   SIP only 
> supports the most recent RFC 1123 [20] format for dates."
> 

I admit this text is confusing. You need to also look at http 1.1, which 
explicitly says it supports a fixed-length subset of the 1123 format. 
What this text was meant to say is that we ONLY use this fixed length 
1123 subset, as opposed to the other date formats supported in HTTP 1.1. 
Anyway, I will log this as a bug to just remove the sentence.

-Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip